Browse Source

Cap hacking and pylint

Cap hacking (4.1.0 added a new checker that conflicts with one of our
internal checker check_no_import_mock)
Cap pylint (2.8 introduced new 'consider-using-with' checker)

Change-Id: I36601dc7423fb50ea1d94c82764986a67ee3e10e
changes/33/788433/1
Gregory Thiemonge 2 weeks ago
parent
commit
46979a0d1b
1 changed files with 2 additions and 2 deletions
  1. +2
    -2
      test-requirements.txt

+ 2
- 2
test-requirements.txt View File

@ -1,14 +1,14 @@
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
hacking>=3.0 # Apache-2.0
hacking>=3.0,<4.1.0 # Apache-2.0
requests-mock>=1.2.0 # Apache-2.0
coverage!=4.4,>=4.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD
flake8-import-order==0.12 # LGPLv3
python-subunit>=1.0.0 # Apache-2.0/BSD
oslotest>=3.2.0 # Apache-2.0
pylint>=2.5.3 # GPLv2
pylint>=2.5.3,<2.8 # GPLv2
testrepository>=0.0.18 # Apache-2.0/BSD
testtools>=2.2.0 # MIT
testresources>=2.0.0 # Apache-2.0/BSD


Loading…
Cancel
Save